## org.apache.cassandra.net
Interface IAsyncCallback

All Superinterfaces:
  IMessageCallback

All Known Subinterfaces:
  IWriteResponseHandler

All Known Implementing Classes:
  AbstractWriteResponseHandler, AsyncRepairCallback, DatacenterReadCallback, DatacenterSyncWriteResponseHandler, DatacenterWriteResponseHandler, ReadCallback, RepairCallback, TruncateResponseHandler, WriteResponseHandler

    public interface IAsyncCallback

extends IMessageCallback

implementors of IAsyncCallback need to make sure that any public methods are threadsafe with respect to response() being called from the message service. In particular, if any shared state is referenced, making response alone synchronized will not suffice.

Method Summary
`void` `response(Message msg)`

Methods inherited from interface org.apache.cassandra.net.IMessageCallback
`isLatencyForSnitch`

Method Detail

### response

    void response(Message msg)

  Parameters:
    `msg` - response received.

Copyright © 2012 The Apache Software Foundation